<?php
/**
 * @version		$Id: categories.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

require_once (JPATH_ROOT.'/modules/mod_socialbuttons/elements/base.php');

class SocialbuttonsElementCategories extends SOCIALBUTTONSElement
{

    function fetchElement($name, $value, &$node, $control_name)
    {

		$db = JFactory::getDbo();
        // Build the select query
        $query = 'SELECT params FROM #__modules'
            . ' WHERE module="mod_slider"';
        $db->setQuery($query);
        $params = $db->loadObjectList();

        // Decode the options to get thje api key and url
        $options = json_decode($params[0]->params, true);
		$d =$options['directory'];
		$root = JURI::root();
		$bp = $_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/';
				
		if ($handle = opendir($bp.$d)) {
		
		}
		 $mitems = array();
		/* Именно этот способ чтения элементов каталога является правильным. */
		while (false !== ($entry = readdir($handle))) {
		if($entry != '.' && $entry != '..' && $this->is_image($bp.$d.$entry)) {
			 $mitems[] = JHTML::_('select.option', $entry, $entry);
			}
		}
       
        
       // $attributes = 'class="inputbox"';


        if (K2_JVERSION != '15')
        {
            $fieldName = $name;
        }
        else
        {
            $fieldName = $control_name.'['.$name.']';
            if ($node->attributes('multiple'))
            {
                $fieldName .= '[]';
            }
        }

        return JHTML::_('select.genericlist', $mitems, $fieldName, $attributes, 'value', 'text', $value);
    }
	function is_image($filename) {
	  $is = @getimagesize($filename);
	  
	
	  if ( !$is ) return false;
	  elseif ( !in_array($is['mime'], array('image/jpeg','image/png','image/gif')) ) return false;
	  else return true;
	}
}

class JFormFieldCategories extends SOCIALBUTTONSElementCategories
{
    var $type = 'categories';
}

class JElementCategories extends SOCIALBUTTONSElementCategories
{
    var $_name = 'categories';
}
