<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_random_image
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';


$document = JFactory::getDocument();

if (!JComponentHelper::isEnabled('com_ejoshop', true)) {

	echo JText::_('COM_EJOSHOP_IS_NOT_ENABLED');
	return;		
}

$items	= modEjoshopLatestItemHelper::getItemsCart($params);

if (empty($items)) {
		return;
}


$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
require JModuleHelper::getLayoutPath('mod_ejoshop_latest_item', $params->get('layout', 'default'));
