<?php
/**
 * @version     $Id: header.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package     K2
 * @author      JoomlaWorks http://www.joomlaworks.net
 * @copyright   Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license     GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die ;

require_once (JPATH_ROOT.'/modules/mod_socialbuttons/elements/base.php');

class SOCIALBUTTONSElementHeader extends SOCIALBUTTONSElement
{
    public function fetchElement($name, $value, &$node, $control_name)
    {

        $document = JFactory::getDocument();
		
        $document->addStyleSheet(JURI::root(true).'/modules/mod_slider/slider/css/styles.css');
        if (K2_JVERSION == '15')
        {
            return '<div class="paramHeaderContainer15"><div class="paramHeaderContent">'.JText::_($value).'</div><div class="k2clr"></div></div>';
        }
        else
        {
            return '<div class="paramHeaderContainer"><div class="paramHeaderContent">'.JText::_($value).'</div><div class="k2clr"></div></div>';

        }
    }

    public function fetchTooltip($label, $description, &$node, $control_name, $name)
    {
        return NULL;
    }

}

class JFormFieldHeader extends SOCIALBUTTONSElementHeader
{
    var $type = 'header';
}

class JElementHeader extends SOCIALBUTTONSElementHeader
{
    var $_name = 'header';
}
