<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 
defined('_JEXEC') or die('Restricted access'); 


$show_photo = $params->get('show_photo', 0);
$show_qty = $params->get('show_qty', 0);
$show_cost = $params->get('show_cost', 0);
$show_intro = $params->get('show_intro', 0);

foreach($items as $item) :
if($show_photo) :

if(!class_exists('EjoshopHelperRoute')) {
	require_once(JPATH_SITE.DS.'components'.DS.'com_ejoshop'.DS. 'helpers'.DS. 'route.php');
}

$routehelper = new EjoshopHelperRoute();
$item->detail = JRoute::_($routehelper->getArticleRoute($item->id, $item->catid));

?>
<div data-pid="<?php echo $item->id; ?>" class="phototplphoto1 detail-module-items">
<h2> <a href="<?php echo $item->detail;?>"><?php echo $item->name; ?></a></h2>
<div class="clr"></div>
	<div class="photo">
        <?php 

		
		echo $item->photooutput; 
	
		?>
	</div>
<?php
endif;

?>

	<div class="photoinfo">
		<ul id="producti">
			<?php if($show_cost) {?>
				<li><span><?php print JText::_( 'COM_EJOSHOP_PRICE' );?></span><span>&nbsp;&nbsp;<?php print $item->price_with_currency;?></span></li>
			<?php }?>
			<?php if($show_qty) {?>
				<li><span><?php print JText::_( 'COM_EJOSHOP_QUANTITY' );?></span><span>&nbsp;&nbsp;<?php print $item->quanity;?></span></li>
			<?php }?>

			<?php if($item->addtocartshow) {
			$uid = 'item-'.$item->id.'-'.uniqid();
			?>
			<li><div class="addtocart-bar">
				<span class="quantity-box">
						<input type="text" value="1" data-id="<?php echo $uid;?>" name="quantity[]" class="quantity-input js-recalculate">
				</span>
				<span class="quantity-controls js-recalculate">
					<input type="button" class="quantity-controls quantity-plus">
					<input type="button" class="quantity-controls quantity-minus">
				</span>
			
				<div class="clr"></div>
			</div>
			</li>
				<li><a class="addtocart" data-qty="1" id="<?php echo $uid;?>" rel="<?php print $item->id;?>" href=""><?php print JText::_( 'COM_EJOSHOP_ADDTOCART' );?></a></li>
			<?php }?>
		</ul>
	</div>
	<div class="clr"></div>
	<div class="photointro">
    <?php if($show_intro) {?>
		<?php print $item->phototext;?>
    <?php }?>
	</div>
</div>
<?php
endforeach;
?>